<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadCSS('css/flags/flags.min.css');
    loadJS(requireJS, 'vendors/bootstrap-progressbar/bootstrap-progressbar.min.js');
    loadJS(requireJS, "js/views/promoLatam.js");
</script>

<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{promoBussinesSchoolCancun}">Promo Wings Bussines School - Cancún</h3>
    </div>
</div>

<div class="clearfix"></div>

<div th:replace="members/promo/promoLatamFrag"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <strong th:text="#{top20}">Top 20 de afiliados en la promoción Wings Bussines School - Cancún</strong>
                <div class="clearfix"></div>
            </div>

            <div>
                <div class="table-responsive-tall">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th><i class="fa fa-globe"></i></th>
                                <th th:text="#{member}">Afiliado</th>
                                <th th:text="#{startRank}">Rango Inicio</th>
                                <th th:text="#{points}">Puntos</th>
                                <th>%</th>
                                <th th:text="#{qualify}">Califica</th>                                
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${items}">
                                <td>
                                    <img src="/css/flags/blank.gif" class="flag" th:classappend="'flag-'+ ${#strings.toLowerCase(item.country)}"/>
                                </td>
                                <td th:text="${item.firstName} + ' ' + ${item.lastName} + ' - ' + ${item.username}"></td>
                                <td th:text="${item.rankName}"></td>
                                <td>
                                    <span th:text="#{team}">Equipo </span>&nbsp;<span th:text="${item.pointsReached} + '/' + ${item.pointsNeeded}"></span><br/> 
                                    <!--<span th:text="#{direct}">Directo </span>&nbsp;<span th:text="${item.pointsReached2} + '/' + ${item.pointsNeeded2}"></span>-->
                                </td>
                                <td>
                                    <span th:text="#{teamPoints}">Puntos de equipo</span>&nbsp;<small th:text="${item.percentReached} + '%'"></small>
                                    <div class="progress progress_sm" th:title="${item.percentReached}">
                                        <div class="progress-bar" th:classappend="${item.percentReached == 100? 'bg-green'  : 'bg-red'}" role="progressbar" th:attr="data-transitiongoal=${item.percentReached}"></div>
                                    </div>                                    
                                    <!--<br/>
                                    <span th:text="#{directPoints}">Puntos directos</span>&nbsp;<small th:text="${item.percentReached2} + '%'"></small>
                                    <div class="progress progress_sm" th:title="${item.percentReached2}">
                                        <div class="progress-bar" th:classappend="${item.percentReached2 == 100? 'bg-green'  : 'bg-red'}" role="progressbar" th:attr="data-transitiongoal=${item.percentReached2}"></div>
                                    </div>-->
                                </td>
                                <td class="text-center">
                                    <span th:if="${item.qualify}" class="label label-success" th:text="#{yes}">Si</span>                                            
                                    <span th:if="${!item.qualify}" class="label label-danger" th:text="#{no}">No</span>                                            
                                </td>


                            </tr>
                        </tbody>
                    </table>
                </div>

            </div>
        </div>
        <!--        <div th:replace="frags/pagination :: paginationbar"></div>-->
    </div>
</div>




